org.wso2.carbon.webapp.mgt

## Class WebappStatistics

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.WebappStatistics

-     public class WebappStatistics
      extends Object

  Represents Web Application Statistics

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebappStatistics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActiveSessions()`
    `int` | `getAvgSessionLifetime()`
    `long` | `getExpiredSessions()`
    `int` | `getMaxActiveSessions()`
    `int` | `getMaxSessionInactivityInterval()`
    `int` | `getMaxSessionLifetime()`
    `int` | `getRejectedSessions()`
    `void` | `setActiveSessions(int activeSessions)`
    `void` | `setAvgSessionLifetime(int avgSessionLifetime)`
    `void` | `setExpiredSessions(long expiredSessions)`
    `void` | `setMaxActiveSessions(int maxActive)`
    `void` | `setMaxSessionInactivityInterval(int maxInactiveInterval)`
    `void` | `setMaxSessionLifetime(int maxSessionLifetime)`
    `void` | `setRejectedSessions(int rejectedSessions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebappStatistics

          public WebappStatistics()

  - ### Method Detail

    - #### getMaxActiveSessions

          public int getMaxActiveSessions()

    - #### setMaxActiveSessions

          public void setMaxActiveSessions(int maxActive)

    - #### getMaxSessionInactivityInterval

          public int getMaxSessionInactivityInterval()

    - #### setMaxSessionInactivityInterval

          public void setMaxSessionInactivityInterval(int maxInactiveInterval)

    - #### getMaxSessionLifetime

          public int getMaxSessionLifetime()

    - #### setMaxSessionLifetime

          public void setMaxSessionLifetime(int maxSessionLifetime)

    - #### getAvgSessionLifetime

          public int getAvgSessionLifetime()

    - #### setAvgSessionLifetime

          public void setAvgSessionLifetime(int avgSessionLifetime)

    - #### getRejectedSessions

          public int getRejectedSessions()

    - #### setRejectedSessions

          public void setRejectedSessions(int rejectedSessions)

    - #### getActiveSessions

          public int getActiveSessions()

    - #### setActiveSessions

          public void setActiveSessions(int activeSessions)

    - #### getExpiredSessions

          public long getExpiredSessions()

    - #### setExpiredSessions

          public void setExpiredSessions(long expiredSessions)

Copyright © 2019 WSO2. All rights reserved.